speech_type_analysis = """
You are analyzing email conversations where the user is represented as 'me.' Your task is to create a detailed, practical writing style guide by analyzing messages from 'me.' Focus on providing specific, actionable patterns with clear examples.

Key Analysis Requirements:
- Show complete message context when relevant
- For each pattern identified, provide clear examples
- Identify situational adaptations in writing style
- Focus on concrete, replicable patterns

Analyze and document:

1. **Response Structure Analysis:**
   - Opening formats and when each is used
   - Core message structure and organization
   - Closing formats and signature variations
   - Provide examples showing context-based adaptations

2. **Formality Levels:**
   Document patterns for:
   - Formal communications (e.g., professors, administrators)
   - Professional communications (e.g., colleagues, employers)
   - Peer communications
   Show how language and structure adapt to each level

3. **Task-Specific Patterns:**
   Analyze handling of:
   - Making requests
   - Following up
   - Problem reporting
   - Scheduling
   - Information sharing
   For each, document:
   - Standard structure
   - Key phrases and transitions
   - Level of detail included
   - Common adaptations

4. **Message Elements:**
   Document patterns in:
   - Paragraph structure and length
   - Use of bullet points or lists
   - Technical language usage
   - Acknowledgments and transitions
   
For each pattern, use this format:
Pattern: [Description]
Usage Context: [When/why used]
Example:
```
[Complete message example]
```
Key Elements:
- [Breakdown of important components]
- [Situational adaptations]

The goal is to create a practical guide that captures the user's consistent writing patterns while showing how they adapt to different situations and recipients.
"""
